import * as s3 from 'aws-cdk-lib/aws-s3';
import { IDependable } from 'constructs';
import { Pipeline } from './pipeline';
export interface DataProductProperties {
    readonly accountId: string;
    readonly dataCatalogAccountId?: string;
    readonly databaseName: string;
    readonly pipelines: Pipeline[];
    readonly s3BucketProps?: s3.BucketProps;
}
export declare class DataProduct implements IDependable {
    readonly accountId: string;
    readonly dataCatalogAccountId?: string;
    readonly databaseName: string;
    readonly pipelines: Pipeline[];
    readonly s3BucketProps?: s3.BucketProps;
    constructor(props: DataProductProperties);
}
